Subject: Re: [Gen-art] Gen-ART Last Call review of draft-ietf-dime-congestion-flow-attributes-01

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 4 Jun 2015 11:41:15 -0400

Brian,

Thank you for your review.  I agree, the shepherd report should be amended
to remove the 'updates' language since the extensions are optional.

Thank you,
Kathleen

On Sun, May 24, 2015 at 11:59 PM, Brian E Carpenter <
[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Please resolve these comments along with any other Last Call comments
> you may receive.
>
> Document: draft-ietf-dime-congestion-flow-attributes-01.txt
> Reviewer: Brian Carpenter
> Review Date: 2015-05-25
> IETF LC End Date: 2015-06-01
> IESG Telechat date:
>
> Summary:  Ready
> --------
>
> Comment:
> --------
>
> This is a clear and well-written document. I do have two comments, however:
> 1) I suggest that somebody with ECN smarts should glance at it (e.g. David
> Black).
> 2) The shepherd suggests in the writeup that it should formally update RFC
> 5777.
> But since it describes optional extensions to RFC 5777 that are strictly
> compatible,
> I don't think that's right.
>

-- 

Best regards,
Kathleen

---

From: "Black, David" <[email-masked]>
Date: Thu, 4 Jun 2015 16:57:49 +0000

> 1) I suggest that somebody with ECN smarts should glance at it (e.g. David Black).

Last Call on this draft happened while I was on vacation; I’ll try to take a look early next week before the telechat.

Thanks,
--David

From: Kathleen Moriarty [mailto:[email-masked]]
Sent: Thursday, June 04, 2015 11:41 AM
To: Brian E Carpenter; <[email-masked]>
Cc: [email-masked]; General Area Review Team; Black, David
Subject: Re: Gen-ART Last Call review of draft-ietf-dime-congestion-flow-attributes-01

Brian,

Thank you for your review.  I agree, the shepherd report should be amended to remove the 'updates' language since the extensions are optional.

Thank you,
Kathleen

On Sun, May 24, 2015 at 11:59 PM, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:
I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Summary:  Ready
--------

Comment:
--------

This is a clear and well-written document. I do have two comments, however:
1) I suggest that somebody with ECN smarts should glance at it (e.g. David Black).
2) The shepherd suggests in the writeup that it should formally update RFC 5777.
But since it describes optional extensions to RFC 5777 that are strictly compatible,
I don't think that's right.

--

Best regards,
Kathleen

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 05 Jun 2015 16:15:30 +1200

Nothing to add to my earlier review (i.e. Ready with comments).

    Brian

-------- Forwarded Message --------
Subject: RE: Gen-ART Last Call review of draft-ietf-dime-congestion-flow-attributes-01
Date: Thu, 4 Jun 2015 16:57:49 +0000
From: Black, David <[email-masked]>
To: Kathleen Moriarty <[email-masked]>, Brian E Carpenter <[email-masked]>,
<[email-masked]> <[email-masked]>
CC: [email-masked] <[email-masked]>, General
Area Review Team <[email-masked]>, Black, David <[email-masked]>

Thanks,
--David

Brian,

Thank you for your review.  I agree, the shepherd report should be amended to remove the 'updates' language since the extensions
are optional.

Thank you,
Kathleen

Summary:  Ready
--------

Comment:
--------

---

From: "Black, David" <[email-masked]>
Date: Mon, 8 Jun 2015 22:33:03 +0000

> 1) I suggest that somebody with ECN smarts should glance at it (e.g. David

I found an ECN concern, and hence added the TSV ADs to the CC line.

Section 3.2 says:

   The Congestion-Treatment AVP (AVP Code TBD) is of type Grouped and
   indicates how congested traffic, i.e., traffic that has Explicit
   Congestion Notification Congestion Experienced marking set or some
   other administratively defined criteria, is treated.  

That appears to say that the congestion treatment may be applied
solely to packets that have the CE (Congestion Experienced) marking.
That would be a problem, because the defined semantics of a CE marking
is that it applies to the entire flow (e.g., causes TCP to react as if
a packet has been dropped), hence the congestion treatment ought
to apply to the entire flow.

In other words, one wants to be able to use the ECN-IP-Codepoint
AVP as part of the condition that determines whether the filter rule
matches, but ignore that AVP (i.e., wildcard it) in determining what
traffic the action applies to, so that the response to detecting a
congested flow (i.e., packets with ECN field containing CE) applies
to all packets in the flow, regardless of the value in the CE field.

Otherwise, the result may be ineffective, as it won't encompass packets
in the congested flow that aren't CE-marked.

Am I reading the draft correctly?

Thanks,
--David

> -----Original Message-----
> From: Gen-art [mailto:[email-masked]] On Behalf Of Brian E Carpenter
> Sent: Friday, June 05, 2015 12:16 AM
> To: [email-masked]; General Area
> Review Team
> Subject: [Gen-art] Gen-ART telechat review of draft-ietf-dime-congestion-flow-
> attributes-01
> 
> CC: [email-masked] <draft-ietf-dime-
> [email-masked]>, General
> Last Call on this draft happened while I was on vacation; I’ll try to take a
> look early next week before the telechat.
> 
> Thanks,
> --David
> 
> Thank you for your review.  I agree, the shepherd report should be amended to
> remove the 'updates' language since the extensions
> are optional.
> 
> Thank you,
> Kathleen
> 
> On Sun, May 24, 2015 at 11:59 PM, Brian E Carpenter
> <[email-masked]<mailto:[email-masked]>> wrote:
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Jari Arkko <[email-masked]>
Date: Thu, 11 Jun 2015 12:41:53 +0300

Thank you Brian for your review.

Jari

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Jun 2015 08:24:51 +1200

You're welcome. I hope that the Transport ADs are looking at
David Black's comment, however.

Regards
   Brian

---

From: "Black, David" <[email-masked]>
Date: Thu, 11 Jun 2015 21:31:58 +0000

They already have - my comment made it into Martin's Discuss for this draft, accompanied by a supporting comment from Spencer ;-).

Thanks,
--David

> Sent: Thursday, June 11, 2015 4:25 PM
> To: Jari Arkko
> Cc: [email-masked]; General Area Review Team; draft-ietf-dime-congestion-
> [email-masked]; [email-masked]
> Subject: Re: [Gen-art] Gen-ART Last Call review of draft-ietf-dime-congestion-
> flow-attributes-01
>